<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>org.eclipse.app4mc.amalthea.model.util</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.app4mc.amalthea.model.util</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ConstraintsUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">ConstraintsUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="CustomPropertyUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">CustomPropertyUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DeploymentUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">DeploymentUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="FactoryUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">FactoryUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="HardwareUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">HardwareUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="InstructionsUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">InstructionsUtil</a></th>
<td class="colLast">Deprecated.
<div class="deprecationComment">(0.9.3) use <code>Ticks</code> instead.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ModelUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">ModelUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="RuntimeUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="SoftwareUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">SoftwareUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="TimeUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">TimeUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="WeibullUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">WeibullUtil</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="WeibullUtil.Parameters.html" title="class in org.eclipse.app4mc.amalthea.model.util">WeibullUtil.Parameters</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="RuntimeUtil.AccessDirection.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.AccessDirection</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="RuntimeUtil.PositionType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.PositionType</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
</body>
</html>
